// 聊天举报表
import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts'

export interface DicChatAccuse {

    // 举报 id
    readonly id: number;
    // 举报名称
    readonly name: string;
}

export const dicChatAccuse = new Map<number, DicChatAccuse>();
export function loadChatAccuse() {
    dicChatAccuse.clear();
    let arr = readFileAndParse(FILENAME.DIC_CHAT_ACCUSE);

    arr.forEach(o => {
        dicChatAccuse.set(o.id, o);
    });
    arr = undefined;
}
